<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Fibonacci</title>
    <script>
        const URL = 'http://localhost:8000/fib';
        function remoteFibonacci(n, onSuccess) {
            let http = new XMLHttpRequest();
            http.onreadystatechange = () => {
                if (http.readyState == 4 && http.status == 200) {
                    onSuccess(JSON.parse(http.responseText));
                }
            };
            http.open('POST', URL, true);
            http.setRequestHeader('Content-Type', 'application/json');
            http.send(JSON.stringify({argument: n}));
        }
        window.onload = () => {
            let argument    = document.getElementById('argument');
            let result      = document.getElementById('result');
            let compute     = document.getElementById('compute');
            compute.onclick = (e) => {
                result.innerHTML = '...';
                let n = parseInt(argument.value);
                remoteFibonacci(n, (rply) => { result.innerHTML = rply.result; });
            };
        };
    </script>
</head>
<body>
    <h1>Fibonacci</h1>
    <input  id="argument" type="number" value="10" min="1" max="45"/>
    <button id="compute"  type="button">Compute</button>
    <p>Result: <span id="result">...</span></p>
</body>
</html>

